unit LFiles;

interface
uses
  MForm, Otshelm_A, Map, Loader,
  GLObjects, SysUtils, Forms, model,
  GLVectorFileObjects, GLGeomObjects,
  GlFileSMD, VectorGeometry, logaut;

procedure work;

implementation

procedure work;
var
  stop: boolean;
  FN : string;
  I : byte;
begin
  Etalon:=TGLDummyCube(Otshelm_A.GLWork.AddNewChild(TGLDummyCube));
  Etalon.Visible:=false;

 // Shoot.InitGun;

  stop:=false;
  MofEt:=0;
  while not stop do
    begin
      FN:=extractfilepath(Application.ExeName)+'\Source\'+inttostr(MofEt+1)+'.txt';
      if FileExists(FN) then loadlo(FN)
      else
      stop:=true;
    end;

  UnZ('\Data\Models\obj.cdmlex');
  stop:=false;
  MofED:=0;
  while not stop do
    begin
      FN:=extractfilepath(Application.ExeName)+'\Data\temp\'+inttostr(MofEd+1);
      if FileExists(FN+'.3ds') then
      loaddecor(FN)
      else
      stop:=true;
    end;
  logaut.InitLg;

end;

end.
